/**
 * 파일명: tabbed-posts-widget-v2.js
 * 위치: /wp-content/themes/generatepress-child/js/tabbed-posts-widget-v2.js
 * 기능: 탭 형태의 최신글 및 인기글 위젯 V2 스크립트
 * 작성일: 2024-03-21
 * 버전: 2.0.0
 */

// ===================================
// 탭 기능 구현
// ===================================
(function($) {
    'use strict';
    
    $(document).ready(function() {
        // 탭 클릭 이벤트 처리
        $('.tabbed-posts-widget-v2 .tab-button').on('click', function() {
            const tabsId = $(this).data('tabs-id');
            const tabName = $(this).data('tab');
            const widget = $(this).closest('.tabbed-posts-widget-v2');
            
            // 현재 위젯 내의 모든 버튼에서 active 클래스 제거
            widget.find('.tab-button').removeClass('active');
            
            // 현재 위젯 내의 모든 탭 컨텐츠 숨기기
            widget.find('.tab-content').removeClass('active');
            
            // 클릭한 버튼 활성화
            $(this).addClass('active');
            
            // 해당 탭 컨텐츠 표시
            $('#' + tabsId + '-' + tabName).addClass('active');
        });
    });
    
})(jQuery);